﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;

namespace XamDocLayoutsaving
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonAddOnClick(object sender, RoutedEventArgs e)
        {
            var panesNumber = dockManager.GetPanes(PaneNavigationOrder.ActivationOrder).Count();
            var id = Guid.NewGuid().ToString();
            var newPane = new ContentPane()
            {
                Name = "Pane" + id.Replace("-", ""),
                Header = "Pane " + (panesNumber + 1),
                ToolTip = "Pane",
                IsEnabled = true,
                Visibility = Visibility.Visible,
                Content = new ContentUserControl("Pane :" + Environment.NewLine + id)
            };
            this.MainTabGroupPane.Items.Add(newPane);
            newPane.Activate();
        }

        private void ButtonSaveOnClick(object sender, RoutedEventArgs e)
        {
            using (var fs = new FileStream(@"D:\Temp\layout.xml", FileMode.Create, FileAccess.Write))
            {
                this.dockManager.SaveLayout(fs);
            }
        }

        private void ButtonLoadOnClick(object sender, RoutedEventArgs e)
        {
            string filePath = @"D:\Temp\layout.xml";
            if (!File.Exists(filePath)) return;

            using (var fs = new FileStream(filePath, FileMode.Open, FileAccess.Read))
            {
                this.dockManager.LoadLayout(fs);
            }
        }
    }
}
